Index: main/manager.c
===================================================================
--- main/manager.c	(revision 78158)
+++ main/manager.c	(working copy)
@@ -318,6 +318,7 @@
 	{ EVENT_FLAG_CONFIG, "config" },
 	{ EVENT_FLAG_DTMF, "dtmf" },
 	{ EVENT_FLAG_REPORTING, "reporting" },
+	{ EVENT_FLAG_EXTEN, "exten" },
 	{ -1, "all" },
 	{ 0, "none" },
 };
Index: include/asterisk/manager.h
===================================================================
--- include/asterisk/manager.h	(revision 78158)
+++ include/asterisk/manager.h	(working copy)
@@ -62,6 +62,7 @@
 #define EVENT_FLAG_CONFIG		(1 << 7) /* Ability to modify configurations */
 #define EVENT_FLAG_DTMF  		(1 << 8) /* Ability to read DTMF events */
 #define EVENT_FLAG_REPORTING		(1 << 9) /* Reporting events such as rtcp sent */
+#define EVENT_FLAG_EXTEN                (1 << 10) /* Dialplan execution events */
 /* Export manager structures */
 #define AST_MAX_MANHEADERS 128
 
Index: main/pbx.c
===================================================================
--- main/pbx.c	(revision 78158)
+++ main/pbx.c	(working copy)
@@ -1787,7 +1794,7 @@
 					term_color(tmp3, passdata, COLOR_BRMAGENTA, 0, sizeof(tmp3)),
 					"in new stack");
 			}
-			manager_event(EVENT_FLAG_CALL, "Newexten",
+			manager_event(EVENT_FLAG_EXTEN, "Newexten",
 					"Channel: %s\r\n"
 					"Context: %s\r\n"
 					"Extension: %s\r\n"
Index: pbx/pbx_realtime.c
===================================================================
--- pbx/pbx_realtime.c	(revision 78158)
+++ pbx/pbx_realtime.c	(working copy)
@@ -202,7 +202,7 @@
 						 term_color(tmp1, app, COLOR_BRCYAN, 0, sizeof(tmp1)),
 						 term_color(tmp2, chan->name, COLOR_BRMAGENTA, 0, sizeof(tmp2)),
 						 term_color(tmp3, S_OR(appdata, ""), COLOR_BRMAGENTA, 0, sizeof(tmp3)));
-				manager_event(EVENT_FLAG_CALL, "Newexten",
+				manager_event(EVENT_FLAG_EXTEN, "Newexten",
 							  "Channel: %s\r\n"
 							  "Context: %s\r\n"
 							  "Extension: %s\r\n"
